| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDebugReportPreviewStd Class Reference
Debugging

`#include <wx/debugrpt.h>`

Inheritance diagram for wxDebugReportPreviewStd:
[legend]

## Detailed Description

wxDebugReportPreviewStd is a standard debug report preview window.

It displays a dialog allowing the user to examine the contents of a debug report, remove files from and add notes to it.

##

Library: wxQA
Category: Debugging

## Public Member Functions
| wxDebugReportPreviewStd ()
| Trivial default constructor.
bool | Show (wxDebugReport &dbgrpt) const
| Shows the dialog.
Public Member Functions inherited from wxDebugReportPreview
| wxDebugReportPreview ()
| Default constructor.
virtual | ~wxDebugReportPreview ()
| Destructor is trivial as well but should be virtual for a base class.

## Constructor & Destructor Documentation

wxDebugReportPreviewStd::wxDebugReportPreviewStd | ( |  | ) |

Trivial default constructor.

## Member Function Documentation

bool wxDebugReportPreviewStd::Show | ( | wxDebugReport & | dbgrpt | ) | const
| virtual

Shows the dialog.

See Also
  wxDebugReportPreview::Show()

Implements wxDebugReportPreview.